# $Revision: 1.5 $, $Date: 2002/10/05 21:12:47 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	OpenSSL-DSA
Summary:	Crypt::OpenSSL::DSA - Digital Signature Algorithm using OpenSSL
Summary(pl):	Modu Perla Crypt::OpenSSL::DSA - algorytm DSA uywajcy OpenSSL
Name:		perl-Crypt-OpenSSL-DSA
Version:	0.10
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	openssl-devel
BuildRequires:	perl-devel >= 5.6.1
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::OpenSSL::DSA implements the DSA (Digital Signature Algorithm)
signature verification system.

%description -l pl
Modu Crypt::OpenSSL::DSA jest implementacj systemu weryfikacji
podpisw DSA (Digital Signature Algorithm).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

##### were disabled - some of tests fail randomly ?
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitearch}/Crypt/OpenSSL/DSA.pm
%dir %{perl_sitearch}/auto/Crypt/OpenSSL/DSA
%{perl_sitearch}/auto/Crypt/OpenSSL/DSA/*.bs
%attr(755,root,root) %{perl_sitearch}/auto/Crypt/OpenSSL/DSA/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-OpenSSL-DSA.spec,v $
Revision 1.5  2002/10/05 21:12:47  ankry
- updated to 0.10
- tests seem to work now
- remove .pod file

Revision 1.4  2002/08/15 17:51:58  qboosh
- pl description, release++

Revision 1.3  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.2  2002/07/20 10:18:03  qboosh
- added OPTIMIZE

Revision 1.1  2002/07/19 23:05:47  ankry
- initial spec, STBR
